Show / Hide Table of Contents

# Interface IWebSocketClient

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace: Discord.Net.WebSockets

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IWebSocketClient : IDisposable

### Methods

| Improve this Doc View Source

#### ConnectAsync(String)

##### Declaration

    Task ConnectAsync(string host)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | host |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### DisconnectAsync()

##### Declaration

    Task DisconnectAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SendAsync(Byte[], Int32, Int32, Boolean)

##### Declaration

    Task SendAsync(byte[] data, int index, int count, bool isText)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | data |
System.Int32 | index |
System.Int32 | count |
System.Boolean | isText |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SetCancelToken(CancellationToken)

##### Declaration

    void SetCancelToken(CancellationToken cancelToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancelToken |

| Improve this Doc View Source

#### SetHeader(String, String)

##### Declaration

    void SetHeader(string key, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | key |
System.String | value |

### Events

| Improve this Doc View Source

#### BinaryMessage

##### Declaration

    event Func<byte[], int, int, Task> BinaryMessage

##### Event Type

Type | Description
--- | ---
System.Func<System.Byte[], System.Int32, System.Int32, System.Threading.Tasks.Task> |

| Improve this Doc View Source

#### Closed

##### Declaration

    event Func<Exception, Task> Closed

##### Event Type

Type | Description
--- | ---
System.Func<System.Exception, System.Threading.Tasks.Task> |

| Improve this Doc View Source

#### TextMessage

##### Declaration

    event Func<string, Task> TextMessage

##### Event Type

Type | Description
--- | ---
System.Func<System.String, System.Threading.Tasks.Task> |